Bug 75171 - iteration over non-sequence
Summary: iteration over non-sequence
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: athlon Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-05 01:03 UTC by Patrick C. F. Ernzer
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 00:25:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -qa --last (84.17 KB, text/plain)
2002-10-05 01:04 UTC, Patrick C. F. Ernzer
no flags Details

Description Patrick C. F. Ernzer 2002-10-05 01:03:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
Installing a package fails

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. unset DISPLAY
2. up2date <not yet istalled package>
	

Actual Results:  # up2date glut-devel

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################

Fetching rpm headers...

Testing package set / solving RPM inter-dependencies...
########################################
glut-devel-3.7-8.i386.rpm:  ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:glut-devel             ########################################### [100%]
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 801, in ?
    main()
  File "/usr/sbin/up2date", line 573, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 737, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__installPackages()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 127, in
__installPackages
    self.kernelsToInstall = up2date.installPackages(self.packagesToInstall,
self.rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 545, in installPackages
    runTransaction(ts, rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 514, in runTransaction
    rhnPackageInfo.remoteAddPackages(addedPackages)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 47, in
remoteAddPackages
    updateTransactions()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 69, in
updateTransactions
    rollback = rollbacks.Rollback()
  File "/usr/share/rhn/up2date_client/rollbacks.py", line 129, in __init__
    self.__genAvailableTidHdrDict()
  File "/usr/share/rhn/up2date_client/rollbacks.py", line 163, in
__genAvailableTidHdrDict
    for (tid, hdr, filename) in transList:
TypeError: iteration over non-sequence
# cd /var/spool/up2date/
# rpm -e glut-devel
# rpm -Uhv glut-devel-3.7-8.i386.rpm
Preparing...                ########################################### [100%]
   1:glut-devel             ########################################### [100%]
#

Expected Results:  installation without Traceback

Additional info:

got same result with kernel-pcmcia-cs.

Comment 1 Patrick C. F. Ernzer 2002-10-05 01:04:32 UTC
Created attachment 78807 [details]
rpm -qa --last

Comment 2 Josef Komenda 2002-10-24 20:29:02 UTC
Looks legit to me - up2date acl won't complete. An 8.0 bug - over to Adrian. 



Comment 3 Adrian Likins 2003-01-15 06:05:00 UTC
Turn off rollbacks, it's an experimental feature.

Should be fixed anyway in a upcoming errata.

Comment 4 Patrick C. F. Ernzer 2004-02-20 18:37:57 UTC
going through old bugs, I think this can be closed.


Note You need to log in before you can comment on or make changes to this bug.